=== debian/changelog ===
firebird4.0 (4.0.5.3140.ds6-17+deb13u1) trixie-security; urgency=medium

  * cherry pick fix for CVE-2025-54989 from upstream (Closes: #1111320)
  * cherry pick fix for CVE-2025-24975 from upstream (Closes: #1111322)
  * switch debian-branch to debian/trixie-security in gbp.conf

 -- Damyan Ivanov <dmn@debian.org>  Mon, 25 Aug 2025 13:51:42 +0000

firebird4.0 (4.0.5.3140.ds6-17) unstable; urgency=medium

  * Added po-debconf Catalan translation by poc senderi
    <pocsenderi@protonmail.com>
  * Adjust lintian overrides

 -- Damyan Ivanov <dmn@debian.org>  Sun, 23 Mar 2025 16:32:11 +0000

firebird4.0 (4.0.5.3140.ds6-16) unstable; urgency=medium

  [ Gioele Barabucci ]
  * d/control: Remove outdated debconf version constraint (Closes: #1096117)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 17 Feb 2025 07:58:41 +0000

firebird4.0 (4.0.5.3140.ds6-15) unstable; urgency=medium

  * add Breaks: libreoffice-sdbc-firebird (<< 4:24.8.4-2~) (Closes: #1094284)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 08 Feb 2025 11:43:58 +0000

firebird4.0 (4.0.5.3140.ds6-14) unstable; urgency=medium

  * fix init.d-style service management

 -- Damyan Ivanov <dmn@debian.org>  Fri, 07 Feb 2025 15:17:31 +0000

firebird4.0 (4.0.5.3140.ds6-13) unstable; urgency=medium

  * move RemoteServicePort from firebird.conf to a separate file, managed in
    postinst

 -- Damyan Ivanov <dmn@debian.org>  Wed, 05 Feb 2025 14:54:25 +0000

firebird4.0 (4.0.5.3140.ds6-12) unstable; urgency=medium

  * functions.sh: fix shell quoting, also in generated SYSDBA.password
  * -server.postinst: create 'firebird' user only if it doesn't exists
  * install /var/lib/firebird in firebird4.0-server-core
    Closes: #1094221

 -- Damyan Ivanov <dmn@debian.org>  Sun, 26 Jan 2025 16:49:16 +0000

firebird4.0 (4.0.5.3140.ds6-11) unstable; urgency=medium

  * Upload to unstable

 -- Damyan Ivanov <dmn@debian.org>  Sat, 25 Jan 2025 15:24:35 +0000

firebird4.0 (4.0.5.3140.ds6-10) experimental; urgency=medium

  * bump 3.0 dependencies' version above what's in unstable

 -- Damyan Ivanov <dmn@debian.org>  Thu, 16 Jan 2025 14:51:43 +0000

firebird4.0 (4.0.5.3140.ds6-9) experimental; urgency=medium

  * -common: drop Breaks: firebird3.0-common (Closes: #1093120)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 15 Jan 2025 13:00:53 +0000

firebird4.0 (4.0.5.3140.ds6-8) experimental; urgency=medium

  * fix typo in Bulgarian PO translation
  * add ../system to -server.dirs
  * fix package name in SYSDBA.password comments
  * add a patch from upstream fixing thread initialization
  * bump 3.0 dependencies' version above what's in unstable

 -- Damyan Ivanov <dmn@debian.org>  Wed, 15 Jan 2025 09:16:41 +0000

firebird4.0 (4.0.5.3140.ds6-7) experimental; urgency=medium

  * rules: fix path to security.fdb

 -- Damyan Ivanov <dmn@debian.org>  Mon, 13 Jan 2025 14:57:57 +0000

firebird4.0 (4.0.5.3140.ds6-6) experimental; urgency=medium

  * fix architecture-dependent builds (--arch-any --no-arch-all)

 -- Damyan Ivanov <dmn@debian.org>  Fri, 10 Jan 2025 15:09:55 +0000

firebird4.0 (4.0.5.3140.ds6-5) experimental; urgency=medium

  * use dh_install* for populating package contents; add firebird/impl/*.h
    files
    (Closes: #1092490)
  * libibutil.lintian-overrides: use wildcards instead of sed patching

 -- Damyan Ivanov <dmn@debian.org>  Fri, 10 Jan 2025 11:54:23 +0000

firebird4.0 (4.0.5.3140.ds6-4) experimental; urgency=medium

  * Add a patch from Matthias Klose dropping -march=i586 -mtune=i686
    (Closes: #1092469)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 08 Jan 2025 13:54:40 +0000

firebird4.0 (4.0.5.3140.ds6-3) experimental; urgency=medium

  * bump 3.0 dependencies' version above what's in unstable
  * properly import mips64el and loongarch support from upstream
  * update patch offsets
  * fix Bug-Debian URL
  * disable link-time optimizations (Closes: #1092468)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 08 Jan 2025 11:10:37 +0000

firebird4.0 (4.0.5.3140.ds6-2) experimental; urgency=medium

  * patch in mips64 and loongarch support
  * refresh patches

 -- Damyan Ivanov <dmn@debian.org>  Thu, 02 Jan 2025 08:26:45 +0000

firebird4.0 (4.0.5.3140.ds6-1) experimental; urgency=medium

  * New upstream version 4.0.5.3140.ds6
  * update debian/copyright
  * refresh/rebase patches
  * bump 3.0 dependencies' version above what's in unstable

 -- Damyan Ivanov <dmn@debian.org>  Tue, 31 Dec 2024 08:43:14 +0000

firebird4.0 (4.0.4.3010.ds6-5) experimental; urgency=medium

  * replace hard-coded paths with pkgconf queries
    helps /usr merge transition, see #1073615 (in firebird 3.0)
  * bump FB#_MULTI_VER to make firebird-utils conflict/replace unstable
    versions (Closes: #1074298)

 -- Damyan Ivanov <dmn@debian.org>  Sun, 30 Jun 2024 13:34:35 +0000

firebird4.0 (4.0.4.3010.ds6-4) experimental; urgency=medium

  * cherry-pick -std=c++17 from upstream.
    Fixes build with libre2-dev 20240501 which requires at least c++-14
    (Closes: #1071759)
  * Bump Standards-Version to 4.7.0 (no changes necessary)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 25 May 2024 12:30:54 +0000

firebird4.0 (4.0.4.3010.ds6-3) experimental; urgency=medium

  * replace build-dependency on pkg-config with pkgconf
  * fix arch=all build Closes: #1071133

 -- Damyan Ivanov <dmn@debian.org>  Sun, 19 May 2024 12:25:16 +0000

firebird4.0 (4.0.4.3010.ds6-2) experimental; urgency=medium

  * bump again 3.0 dependencies' version

 -- Damyan Ivanov <dmn@debian.org>  Fri, 05 Apr 2024 07:56:22 +0000

firebird4.0 (4.0.4.3010.ds6-1) experimental; urgency=medium

  * bump 3.0 dependencies' version above what's in unstable
    Closes: #1040321
    also, put the version in a variable for easier management
  * libfbclient2: break 3.0 server packages not supporting multi-version
  * drop dependency on lsb-base again (mismerged)
  * New upstream version 4.0.4.3010.ds6
  * update tzdata copyright years, provide verification script
  * drop system-re2.patch, merged upstream
  * refresh patches to apply cleanly


