=== debian/control ===
Source: firebird4.0
Section: database
Priority: optional
Maintainer: Damyan Ivanov <dmn@debian.org>
Build-Depends:
 autoconf,
 automake,
 debhelper-compat (= 13),
 gawk,
 libabsl-dev,
 libboost-dev,
 libedit-dev,
 libicu-dev,
 libre2-dev,
 libtomcrypt-dev,
 libtommath-dev,
 libtool,
 pkgconf,
 po-debconf,
 recode,
 rename,
 systemd-dev,
 unzip,
 zlib1g-dev,
Build-Conflicts:
 autoconf2.13,
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/firebird-team/firebird4.0.git
Vcs-Browser: https://salsa.debian.org/firebird-team/firebird4.0
Homepage: https://firebirdsql.org/
Rules-Requires-Root: no

Package: firebird-dev
Section: libdevel
Architecture: any
Depends:
 firebird4.0-common-doc (= ${source:Version}),
 libfbclient2 (>= ${source:Version}),
 libib-util (>= ${source:Version}),
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Suggests:
 firebird4.0-examples,
Description: Development files for Firebird
 C header files for Firebird, useful if one compiles programs that use the
 Firebird client to work with Firebird databases.
 .
 See firebird4.0-server package for more information about Firebird.

Package: firebird4.0-common
Architecture: all
Multi-Arch: foreign
Depends:
 firebird4.0-common-doc (= ${source:Version}),
 perl,
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: common files for firebird 4.0 server, client and utilities
 Common files for the Firebird server, client and user utilities.
 .
 These include the support scripts as well as configuration files in
 /etc/firebird/4.0.

Package: firebird4.0-common-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: copyright, licensing and changelogs of firebird4.0
 Copyright, licensing information and upstream changelog of firebird4.0.
 .
 Due to the size of the upstream change log and copyright/licensing summary,
 keeping them in a separate package saves space on mirrors and when installing
 firebird4.0 packages.

Package: firebird4.0-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 firebird4.0-common-doc (= ${source:Version}),
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: Documentation files for firebird database version 4.0
 Various documents for firebird 4.0. These include the release notes, what's
 new in firebird 4.0, quick start guide, upgrade guide, list of ISQL
 enhancements etc.

Package: firebird4.0-examples
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 firebird4.0-common-doc (= ${source:Version}),
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Recommends:
 firebird4.0-dev,
Description: Examples for Firebird database
 The examples included in this package are provided as samples and are also
 used by Firebird's testing suite (TCS). The examples are in the form
 of .h, .c, .e, .fdb and .gbk files.
 .
 See firebird4.0-server package for more information about Firebird.

Package: firebird4.0-server
Architecture: any
Depends:
 adduser,
 firebird4.0-common (= ${source:Version}),
 firebird4.0-common-doc (= ${source:Version}),
 firebird4.0-server-core (= ${binary:Version}),
 firebird4.0-utils (= ${binary:Version}),
 firebird-utils,
 libfbclient2 (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Recommends:
 libib-util,
Suggests:
 firebird4.0-doc,
Description: Firebird Server - an RDBMS based on InterBase 6.0 code
 Firebird is a relational database offering many ANSI SQL-99 features that
 runs on Linux, Windows, and a variety of Unix platforms. Firebird offers
 excellent concurrency, high performance, and powerful language support
 for stored procedures and triggers. It has been used on production systems
 under a variety of names since 1981.
 .
 This package contains the server binary as well as its configuration files.
 The default mode of operation is the so called "super", which is a
 single-threaded server process with shared database cache between
 connections. The two other operation modes -- "classic" (separate
 process/cache for each connection) and "superclassic" (separate thread/cache
 for each connection) are also available via configuration options.

Package: firebird4.0-server-core
Architecture: any
Multi-Arch: same
Depends:
 firebird4.0-common (= ${source:Version}),
 firebird4.0-common-doc (= ${source:Version}),
 ${icu:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Recommends:
 firebird4.0-utils,
Suggests:
 firebird4.0-server,
Enhances:
 libfbclient2,
Description: Firebird engine core
 Firebird database engine and support libraries. This package is required for
 embedded (serverless) access to local databases with the tools packaged in
 firebird4.0-utils or other binaries linked to the firebird client library,
 libfbclient2.
 .
 The rest of the binaries needed for running a full-featured,
 remotely-accessible Firebird server are in the firebird4.0-server package.

Package: firebird-utils
Architecture: all
Depends:
 firebird4.0-common-doc (= ${source:Version}),
 firebird4.0-utils | firebird3.0-utils (>= ${fb3:multi-ver}),
 ${misc:Depends},
Replaces:
 firebird3.0-utils (<< ${fb3:multi-ver}),
 firebird3.0-server (<< ${fb3:multi-ver}),
Breaks:
 firebird3.0-utils (<< ${fb3:multi-ver}),
 firebird3.0-server (<< ${fb3:multi-ver}),
Recommends:
 firebird4.0-server-core,
Suggests:
 firebird4.0-doc,
 firebird4.0-server,
Description: Firebird command line utilities wrapper
 firebird-utils contains a wrapper script which allows running specific
 version of firebird utilities like gbak or isql-fb. If no version is
 specified, the latest available is used.

Package: firebird4.0-utils
Architecture: any
Depends:
 firebird-utils,
 firebird4.0-common (= ${source:Version}),
 firebird4.0-common-doc (= ${source:Version}),
 libfbclient2 (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Recommends:
 firebird4.0-server-core,
Suggests:
 firebird4.0-doc,
 firebird4.0-server,
Description: Firebird command line utilities
 This package contains the utilities for managing Firebird databases:
  * isql-fb -- interactive console (original name isql)
  * gbak -- backup and restore databases
  * gfix -- check and repair databases
  * gsec -- manage users and roles
  * fbstat -- analyze databases (original name gstat)
  * nbackup -- incremental backup and file-level copy
  * gpre -- preprocess sources with embedded SQL

Package: libfbclient2
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 firebird4.0-common (= ${source:Version}),
 firebird4.0-common-doc (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: firebird3.0-server (<< ${fb3:multi-ver}),
 libreoffice-sdbc-firebird (<< 4:24.8.4-2~),
Pre-Depends:
 ${misc:Pre-Depends},
Description: Firebird client library
 Client library for connecting to the Firebird server. It can also be used for
 direct (embedded) database access.
 .
 See firebird4.0-server package for more information about Firebird.

Package: libib-util
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 firebird4.0-common-doc (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: Firebird UDF support library
 Contains utility functions used by Firebird User-Defined Functions (UDF) for
 memory management etc.
 .
 See firebird4.0-server package for more information about Firebird.
