=== debian/watch ===
# watch control file for uscan
# you can run the "uscan" command
# to check for upstream updates and more.
# Full-site-with-pattern  [Version  [Action]]

version=4
#opts="dversionmangle=s/(?:\.ds\d+)$//,uversionmangle=s/-\d+//;s/-(?=\D)/~/g,repacksuffix=.ds6" \
#  http://sf.net/firebird/[Ff]irebird-(4\.0\..*).tar.bz2
opts="dversionmangle=s/(?:\.ds\d+)$//,uversionmangle=s/-\d+//;s/-(?=\D)/~/g,repacksuffix=.ds6" \
  https://firebirdsql.org/en/firebird-4-0/ .*/[Ff]irebird-(4\.0\.\d+(?:\.\d+)?)(?:-0)?@ARCHIVE_EXT@
#opts="dversionmangle=s/(?:\.ds\d+)$//,uversionmangle=s/-\d+//;s/-(?=\D)/~/g,repacksuffix=.ds5" \
#  https://github.com/FirebirdSQL/firebird/releases .*/[Ff]irebird-(4\.0\.\d+(?:\.\d+)?)(?:-0)?@ARCHIVE_EXT@
